#ifndef __FMAIN_H
#define __FMAIN_H

#include "ui_fmain.h"
#include <QTextCodec>
#include <QSystemTrayIcon>

class FMain: public QMainWindow
{
 Q_OBJECT
 public:
   FMain(QWidget * parent = 0, Qt::WFlags f = 0);
   ~FMain();
 public slots:
   void addFiles();
   void traySupport(QSystemTrayIcon::ActivationReason reason = QSystemTrayIcon::DoubleClick);
   void settings();
 private:
   Ui_FMain ui;
   QSystemTrayIcon * mTrayIcon;
   QMenu * mTrayMenu;
   QAction * mTrayMenuExit;
   QAction * mTrayMenuShowHide;
   QAction * mTrayMenuSettings;
   QString mOutDir;
   bool mPremiumUser;
   int mParallelDownloads;
   QString mLogin;
   QString mPasswd;
};

#endif
